=== debian/changelog ===
libmeshb (7.80-4) unstable; urgency=medium

  * Fixed FTBFS across all architectures (Closes: #1092537)
  * Not eliding exported data symbols

 -- Dima Kogan <dkogan@debian.org>  Sat, 11 Jan 2025 16:51:46 -0800

libmeshb (7.80-3) unstable; urgency=medium

  * Build the library with -fPIC

 -- Dima Kogan <dkogan@debian.org>  Mon, 06 Jan 2025 09:37:50 -0800

libmeshb (7.80-2) unstable; urgency=medium

  * GmfKwdFmt is private
    So we can link this static library into other shared libraries

 -- Dima Kogan <dkogan@debian.org>  Fri, 18 Oct 2024 14:18:36 -0700

libmeshb (7.80-1) unstable; urgency=medium

  * Initial release into Debian (Closes: #1085266)

 -- Dima Kogan <dkogan@debian.org>  Thu, 17 Oct 2024 07:36:49 -0700
