=== debian/control ===
Source: libmeshb
Priority: optional
Section: devel
Build-Depends:
 debhelper (>= 13),
 cmake,
 gfortran
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Dima Kogan <dkogan@debian.org>
Standards-Version: 4.6.0
Homepage: https://github.com/LoicMarechal/libMeshb/
Vcs-Git: https://salsa.debian.org/science-team/libmeshb.git
Vcs-Browser: https://salsa.debian.org/science-team/libmeshb

Package: libmeshb-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A library to handle the *.meshb file format
 The Gamma Mesh Format (GMF) and the associated library libMeshb provide
 programers of simulation and meshing software with an easy way to store their
 meshes and physical solutions. The GMF features more than 200 kinds of data
 types, like vertex, polyhedron, normal vector or vector solution field. The
 libMeshb provides a convenient way to move data between those files, via
 keyword tags, and the user's own structures. Transparent handling of ASCII &
 binary files. Transparent handling of little & big endian files. Optional ultra
 fast asynchronous and low level transfers. Can call user's own pre and post
 processing routines in a separate thread while accessing a file
