=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

%:
	dh $@ --buildsystem=cmake


override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	mkdir debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mv debian/tmp/usr/lib/*.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
