=== debian/watch ===
version=4
https://github.com/LoicMarechal/libMeshb/tags .*/v(\d\S+)\.tar\.gz
